Bug 1549916 - [3.6][Backport] internal image registry was down due to data race
Summary: [3.6][Backport] internal image registry was down due to data race
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.6.z
Assignee: Oleg Bulatov
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1549902 1549917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 03:41 UTC by Kenjiro Nakayama
Modified: 2018-04-30 04:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: concurrent write to the cache. Consequence: panic occurs. Fix: protect write to the cache with mutex. Result: the cache is safe to use concurrently.
Clone Of: 1549902
Environment:
Last Closed: 2018-04-30 04:00:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1233 None None None 2018-04-30 04:01:03 UTC

Comment 3 Dongbo Yan 2018-04-04 19:20:41 UTC
Verified
openshift v3.6.173.0.112
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

Comment 7 Samuel Munilla 2018-04-18 03:59:58 UTC
Moving this between advisories and state has to change to MODIFIED to do that. Changing back to previous state now.

Comment 9 Wei Sun 2018-04-20 03:19:34 UTC
Change back to previous VERIFIED state since it was moved to ON_QA state by advisory.

Comment 11 Wenjing Zheng 2018-04-23 09:38:02 UTC
Change back to previous VERIFIED state since it was moved to ON_QA state by advisory.

Comment 15 errata-xmlrpc 2018-04-30 04:00:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1233


Note You need to log in before you can comment on or make changes to this bug.